Bug 435920 - fontspec.sty is old
fontspec.sty is old
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 08:51 EST by Neal Becker
Modified: 2013-07-02 19:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 530069 (view as bug list)
Environment:
Last Closed: 2009-07-14 10:16:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2008-03-04 08:51:01 EST
Description of problem:

! LaTeX Error: Unknown option `no-math' for package `fontspec'.

Your version:

\ProvidesPackage{fontspec}
  [2006/12/24 v1.13 Advanced font selection for XeLaTeX]

My version:
\ProvidesPackage{fontspec}
  [2007/06/20 v1.14 Advanced font selection for XeLaTeX]


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jindrich Novy 2008-03-05 07:13:28 EST
Starting from texlive-texmf-2007-16 we have a complete XeTeX installation in
texlive-texmf-xetex and ConTeXt in texlive-texmf-context, because I added the
needed styles. I personally don't use XeLaTeX, so I would be grateful to hear
any feedback.

Could you please attach here the tex source that causes XeLaTeX (fontspec) to fail?

Thanks.
Comment 2 Neal Becker 2008-03-05 07:34:08 EST
\usepackage[no-math]{fontspec}

That's all.  The current fontspec has added some options that aren't in the 
older one.
Comment 3 Jindrich Novy 2008-03-05 08:02:06 EST
Ok, looking to the TeXLive upstream mailing list, there is TeXLive 2008 planned
to be released during this summer. So we can either wait until the TeXLive 2008
or to release the new fontspec via the texlive-texmf-errata package. Also, if
you are interested, consider to package fontspec separately if you think that it
is better to be updated more frequently?
Comment 4 Neal Becker 2008-03-05 08:15:41 EST
Separate package seems extreme to me.  I vote -1.

Otherwise, up to you.  My local problem is fixed.
Comment 5 Patrice Dumas 2008-03-05 08:32:18 EST
This seems to me to be a good use case of the use of the errata
package. Since texlive hasn't still landed in fedora stable and there 
is a workaround I don't think it is really needed now but it is
a real world example of the need for the texlive-texmf-errata package.

Jindrich, I think that this could make a good test for texlive-texmf-errata
and an example for the use of the errata package, though you may have
other and more important things to do. 
Comment 6 Bug Zapper 2008-05-14 01:45:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Gaspard Jankowiak 2009-02-18 06:27:02 EST
Any progress here ? It seems that the fontspec package provided by texlive-texmf-xetex is still 'old' (doesn't support the no-math option). It would be great if it worked out of the box !
Comment 8 Bug Zapper 2009-06-09 19:40:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 10:16:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.